### Function

# EvinceDocument mkdtemp

#### Declaration [src]

    gchar*
    ev_mkdtemp (
      const char* tmpl,
      GError** error
    )

#### Description [src]

Creates a temp directory in the evince temp directory.

#### Parameters

`tmpl` | `const char*`
| A template string; must end in ‘XXXXXX’
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A newly allocated string with the temp directory name, or `NULL` on error with `error` filled in.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.